Debian Bug report logs - #432977
ipconfig fails to get ip configuration from dhcp-server

version graph

Package: klibc-utils; Maintainer for klibc-utils is maximilian attems <maks@debian.org>; Source for klibc-utils is src:klibc.

Reported by: Christian Kern <kernch@in.tum.de>

Date: Fri, 13 Jul 2007 13:30:04 UTC

Severity: normal

Found in version klibc/1.4.34-1

Fixed in version 1.5.8-1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#432977; Package klibc-utils. Full text and rfc822 format available.

Acknowledgement sent to Christian Kern <kernch@in.tum.de>:
New Bug report received and forwarded. Copy sent to maximilian attems <maks@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Kern <kernch@in.tum.de>
To: submit@bugs.debian.org
Subject: ipconfig fails to get ip configuration from dhcp-server
Date: Fri, 13 Jul 2007 15:27:35 +0200
[Message part 1 (text/plain, inline)]
Package: klibc-utils
Version: 1.4.34-1

As we are using FAI to install our computers, the ipconfig
binary in the klibc-utils package is used to obtain the
IP configuration from a DHCP server at boot time, when
installing a computer.

A normal DHCP process looks like this:
DHCPDISCOVER (client->server)
DHCPOFFER (server->client)
DHCPREQUEST (client->server)
DHCPACK (server->client)

Using the ipconfig tool in the klibc-utils, the procedure
looks like this:
DHCPDISCOVER (client->server)
DHCPOFFER (server->client)
DHCPREQUEST (client->server)

The DHCPACK is missing, an there is never an
IP configuration obtained.
It seems, that not transmitting an bootp gateway in
the DHCPREQUEST package solves this Problem.
(Patch attached)

[klibc.patch (text/plain, attachment)]
[Message part 3 (text/plain, inline)]
Best regards,
Christian Kern

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#432977; Package klibc-utils. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. Full text and rfc822 format available.

Message #10 received at 432977@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Christian Kern <kernch@in.tum.de>, 432977@bugs.debian.org
Subject: Re: Bug#432977: ipconfig fails to get ip configuration from dhcp-server
Date: Thu, 16 Aug 2007 12:02:51 +0200
On Fri, 13 Jul 2007, Christian Kern wrote:

> As we are using FAI to install our computers, the ipconfig
> binary in the klibc-utils package is used to obtain the
> IP configuration from a DHCP server at boot time, when
> installing a computer.

which dhcp server?


> A normal DHCP process looks like this:
> DHCPDISCOVER (client->server)
> DHCPOFFER (server->client)
> DHCPREQUEST (client->server)
> DHCPACK (server->client)
>
> Using the ipconfig tool in the klibc-utils, the procedure
> looks like this:
> DHCPDISCOVER (client->server)
> DHCPOFFER (server->client)
> DHCPREQUEST (client->server)
>
> The DHCPACK is missing, an there is never an
> IP configuration obtained.
> It seems, that not transmitting an bootp gateway in
> the DHCPREQUEST package solves this Problem.
> (Patch attached)

hmm i guess you have the corresponding tcpdump logs?


> -	bootp.giaddr	= dev->bootp.gateway;
> +	bootp.giaddr	= INADDR_ANY;

according to git aboves line exits since quite some time,
i'd say since at least Debian and Ubuntu integration.

so i'd need a bit more evidence to merge such a patch.
i'll test it next week on my side.

thanks for the feedback!

-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#432977; Package klibc-utils. Full text and rfc822 format available.

Acknowledgement sent to Michael Tautschnig <tautschn@model.in.tum.de>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. Full text and rfc822 format available.

Message #15 received at 432977@bugs.debian.org (full text, mbox):

From: Michael Tautschnig <tautschn@model.in.tum.de>
To: maximilian attems <max@stro.at>, 432977@bugs.debian.org
Subject: Re: Bug#432977: ipconfig fails to get ip configuration from dhcp-server
Date: Thu, 3 Jan 2008 11:36:47 +0100
[Message part 1 (text/plain, inline)]
> On Fri, 13 Jul 2007, Christian Kern wrote:
> 
> > As we are using FAI to install our computers, the ipconfig
> > binary in the klibc-utils package is used to obtain the
> > IP configuration from a DHCP server at boot time, when
> > installing a computer.
> 
> which dhcp server?
> 
It is a dhcp3 with LDAP patches, 3.0.1rc14-1; however, the problem rather seemed
to be related to the DHCP relays in between (unpatched dhcp3-relay from etch).

[...]
> 
> hmm i guess you have the corresponding tcpdump logs?
>
[...]

As we hadn't kept them I tried to reproduce the whole thing; but at least with
the 1.4.34-2 packages I was unable to do this!

I thus suggest either tagging this one unreproducible or closing it; if it ever
pops up again in our system we'll reopen it.

Best,
Michael

[Message part 2 (application/pgp-signature, inline)]

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Kern <kernch@in.tum.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 432977-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 432977-done@bugs.debian.org
Subject: Re: ipconfig fails to get ip configuration from dhcp-server
Date: Sat, 22 Mar 2008 14:49:44 +0100
Version: 1.5.8-1

> As we hadn't kept them I tried to reproduce the whole thing; but at
> least with the 1.4.34-2 packages I was unable to do this!

okay, so closing.

aboves version info as upstream has fixed in 1.5.8 an RFC 2131
DHCPREQUEST violation. so should be fixed now.

thanks for your report.

-- 
maks




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Apr 2008 07:56:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:32:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.